%global momorel 1

Summary: 	various gtk widgets for xfce
Name: 		libxfcegui4
Version: 	4.6.1
Release:	%{momorel}m%{?dist}
License:	LGPL
URL: 		http://www.xfce.org/
Source0:	http://www.xfce.org/archive/xfce-%{version}/src/%{name}-%{version}.tar.bz2
NoSource:       0
Patch0:		libxfcegui4-libtool.patch
Group: 		Development/Libraries
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  dbh-devel
BuildRequires: 	gtk2-devel
BuildRequires:  libxml2-devel >= 2.7.2
BuildRequires: 	pkgconfig
BuildRequires:	libxfce4util-devel >= %{version}
BuildRequires:	xfconf >= %{version}
BuildRequires:  gtk-doc
BuildRequires:  imake
BuildRequires:  libXt-devel
BuildRequires:  gettext
BuildRequires:  intltool
BuildRequires:  glade3-devel >= 3.5.7

Requires: gnome-icon-theme
Requires: glade3
Requires: xfce4-session >= %{version}


%description
Various gtk widgets for xfce.

%package devel
Summary:	developpment tools for libxfcegui4 library
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	gtk+-devel
Requires:	libxfce4util-devel

%description devel
This package includes the static libraries and header files you will need
to compile applications for Xfce.

%prep
%setup -q
%patch0 -p1

libtoolize --force --copy
aclocal
autoconf
automake

%build
%configure --enable-xinerama --disable-static --disable-gtk-doc
%make

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} mandir=%{_mandir}
find %{buildroot} -name "*.la" -delete

%clean
rm -rf %{buildroot}

%post
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
/sbin/ldconfig

%postun
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING
%{_sysconfdir}/xdg/xfce4/xfconf/xfce-perchannel-xml/*
%{_libdir}/lib*.so.*
%{_datadir}/locale/*/*/*
%{_datadir}/icons/hicolor/*/*/*
%exclude %{_datadir}/icons/hicolor/scalable/apps/xfce-filemanager.svg
%{_datadir}/glade3/pixmaps/hicolor/*/actions/*
%{_datadir}/glade3/catalogs/xfce4.*

%files devel
%defattr(-, root, root)
%{_libdir}/lib*.so
%{_libdir}/glade3/modules/lib*.so
%{_libdir}/libglade/2.0/lib*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/xfce4/libxfcegui4
%dir %{_includedir}/xfce4/libxfce4kbd-private
%{_includedir}/xfce4/libxfce4kbd-private/*
%{_datadir}/gtk-doc/html/libxfcegui4

%changelog
* Mon Apr 20 2009 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.6.1-1m)
- update

* Sun Mar  1 2009 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.6.0-1m)
- update

* Sun Feb  8 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (4.5.93-3m)
- rebuild against glade3-3.5.7

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (4.5.93-2m)
- rebuild against rpm-4.6

* Tue Jan 20 2009 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.5.93-1m)
- update

* Sat Nov 29 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.5.92-2m)
- change BuildRequires: glade3 to glade3-devel

* Wed Nov 26 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.5.92-1m)
- update

* Wed Oct 22 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.5.91-1m)
- update

* Mon Sep 22 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.5.90-1m)
- update
- add --enable-final --enable-gtk-doc at %%configure
- add patch0
- delete --enable-final not exist in config
- files %%files section

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.4.2-2m)
- rebuild against gcc43

* Mon Dec  3 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.4.2-1m)
- Xfce 4.4.2

* Fri Apr 20 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.4.1-1m)
- Xfce 4.4.1

* Wed Jan 31 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.4.0-2m)
- exclude %%{_datadir}/icons/hicolor/scalable/apps/xfce-filemanager.svg
  use gnome-icon-theme
- add Requires: gnome-icon-theme

* Sat Jan 27 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.4.0-1m)
- Xfce 4.4.0

* Fri Sep  8 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (4.2.3-2m)
- delete libtool library
- rebuild against libxfce4util-4.2.3.2-2m

* Mon Nov 21 2005 Kazuhiko <kazuhiko@fdiary.net>
- (4.2.3-1m)
- Xfce 4.2.3.2

* Tue Nov  8 2005 Mitsuru Shimamura <smbd@momonga-linux.org>
- (4.2.2-2m)
- apply taskbar overflow patch <http://bugs.gentoo.org/show_bug.cgi?id=102912>

* Fri May 20 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.2.2-1m)
- Xfce 4.2.2

* Thu Mar 17 2005 TABUCHI Takaaki <tab@momonga-linux.org>      
- (4.2.1-1m)                                                   
- Xfce 4.2.1

* Mon Jan 17 2005 TABUCHI Takaaki <tab@momonga-linux.org>      
- (4.2.0-1m)                                                   
- Xfce 4.2

* Sat Dec 25 2004 Kazuhiko <kazuhiko@fdiary.net>
- (4.1.99.3-1m)
- Xfce 4.2-RC3

* Tue Dec 14 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.1.99.2-1m)
- Xfce 4.2-RC2

* Mon Nov 15 2004 Kazuhiko <kazuhiko@fdiary.net>
- (4.1.99.1-1m)
- Xfce 4.2-RC1

* Mon Nov  1 2004 Kazuhiko <kazuhiko@fdiary.net>
- (4.1.91-1m)
- Xfce 4.2BETA2

* Thu Oct 28 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.1.90-1m)
- update to 4.1.90

* Thu Jul 15 2004 Kazuhiko <kazuhiko@fdiary.net>
- (4.0.6-1m)
- minor bugfixes

* Sun Jul 11 2004 Ryu SASAOKA <ryu@momonga-linux.org>
-(4.0.5-2m)
- add xfce4-icon-size.patch

* Sun Apr 18 2004 Shigeru Yamazaki <muradaikan@momonga-linux.org>
-(4.0.5-1m)
- version update to 4.0.5.

* Sun Apr 11 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (4.0.4-3m)
- rebuild against for gtk+-2.4.0

* Sat Apr 10 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (4.0.4-2m)
- rebuild against for libxml2-2.6.8

* Thu Mar 11 2004 Kazuhiko <kazuhiko@fdiary.net>
- (4.0.4-1m)

* Sun Jan 11 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.0.3-1m)
- version up to 4.0.3

* Mon Dec 01 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.0.1-1m)
- version up to 4.0.1

* Fri Sep 26 2003 Seinosuke Kaneda <kaneda@momonga-linux.org>
- (4.0.0-1m)
- version up

* Sat Sep 13 2003 Masayuki SANO <sano@acs.i.kyoto-u.ac.jp>
- (3.99.4-1m)
- XFce4 RC4 release
